package bcn.coord;


/** Represents a message decorated with an activation level:
  * messages with activation equal to 0 should be ignored by coordinators and behaviors. */
public class MsgAct<T> {
	
	/** Dummy message with activation equal to 0. */
	static public MsgAct ACT_0 = new MsgAct(null, 0);
	
	
    public final T msg;
    public final float act;
    
    public MsgAct(T msg, float act) {
        this.msg = msg;
        this.act = act;
    }
    
}
