package foraging;

import bcn.coord.PriorityCoord;
import com.cyberbotics.webots.controller.DifferentialWheels;
import com.cyberbotics.webots.controller.DistanceSensor;


public class CtrlWander extends foraging_stub.CtrlWander_stub {
    
    static public void main(String[] args) {
        CtrlWander controller = new CtrlWander();
        controller.setupAndRun();
    }
    
    
    @Override
    public void setupAndRun() {
        DifferentialWheels robot = new DifferentialWheels();
        
        // init sensors
        DistanceSensor[] ds = new DistanceSensor[8];
        for (int i=0; i<ds.length; i++) {
            ds[i] = robot.getDistanceSensor("ds" + i);
            ds[i].enable(Misc.CONTROL_STEP);
        }
        
        // init actuators
        
        // setup behaviors
        avoid = new Avoid(ds);
        wander = new Wander(1);
        coordDrive = new PriorityCoord<Drive.Speed>(2);
        drive = new Drive(robot);
        
        WinnerInspector winDrive = new WinnerInspector("Drive", "avoid", "wander");
        coordDrive.get_winner().connectTo(winDrive.getInputPort());
        
        // run controller
        connectAndRun(robot, Misc.CONTROL_STEP, Misc.RANDOM);
        
        winDrive.dispose();
    }
    
}
